org.apache.solr.update.processor

## Class NoOpDistributingUpdateProcessorFactory

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessorFactory
  - - org.apache.solr.update.processor.NoOpDistributingUpdateProcessorFactory

- All Implemented Interfaces:
    DistributingUpdateProcessorFactory, NamedListInitializedPlugin

      public class NoOpDistributingUpdateProcessorFactory
      extends UpdateRequestProcessorFactory
      implements DistributingUpdateProcessorFactory

  A No-Op implementation of DistributingUpdateProcessorFactory that allways returns null.

  This implementation may be useful for Solr installations in which neither the ``DistributedUpdateProcessorFactory`` nor any custom implementation of ``DistributingUpdateProcessorFactory`` is desired (ie: shards are managed externally from Solr)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `UpdateRequestProcessorFactory.RunAlways`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.solr.update.processor.DistributingUpdateProcessorFactory

      `DISTRIB_UPDATE_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpDistributingUpdateProcessorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateRequestProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)` Returns null

    - ### Methods inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpDistributingUpdateProcessorFactory

          public NoOpDistributingUpdateProcessorFactory()

  - ### Method Detail

    - #### getInstance

          public UpdateRequestProcessor getInstance(SolrQueryRequest req,
                                                    SolrQueryResponse rsp,
                                                    UpdateRequestProcessor next)

      Returns null
      Specified by:
        `getInstance` in class `UpdateRequestProcessorFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.